import { Alert, Button } from "react-bootstrap";
import { AiOutlinePlusSquare } from "react-icons/ai";
import { TbShare2 } from "react-icons/tb";

interface Props {
    closePrompt: () => void;
    doNotShowAgain: () => void;
}

export default function AddToMobileChromeIos(props: Props) {
    const { closePrompt, doNotShowAgain } = props;

    return (
        <Alert show={true} className="mx-2 py-2" variant="info">
            <Alert.Heading
                style={{
                    fontSize: "1.1rem",
                    fontWeight: "bold",
                    marginBottom: "0.25rem",
                }}
            >
                Add SNIP to your Home Screen
            </Alert.Heading>
            <div>
                For the best experience, we recommend installing SNIP to your
                home screen! This enables enhanced features and functionality
                for mobile users.
            </div>
            <div className="d-flex align-items-center justify-content-center flex-column  border border-1 rounded-3 p-2 gap-2 my-2">
                <div className="d-flex gap-1 text-center">
                    <div>Click the</div>
                    <TbShare2 size={24} />
                    <div>icon</div>
                </div>
                <div className="d-flex flex-column align-items-center w-100 text-center gap-2">
                    <div>Scroll down and then click:</div>
                    <div className="d-flex align-items-center border border-1 px-2 py-1 gap-1 rounded-3">
                        <div>Add to Home Screen</div>
                        <AiOutlinePlusSquare size={24} />
                    </div>
                </div>
            </div>
            <div className="d-flex justify-content-between">
                <Button
                    className="p-1 d-flex align-items-center gap-1"
                    onClick={doNotShowAgain}
                    variant="outline-secondary"
                >
                    Don&apos;t show again
                </Button>
                <Button
                    className="p-1 d-flex align-items-center gap-1"
                    onClick={closePrompt}
                    variant="outline-dark"
                >
                    Close
                </Button>
            </div>
        </Alert>
    );
}
