import Link from "next/link";
import React from "react";
import { Alert, Button } from "react-bootstrap";

interface Props {
    closePrompt: () => void;
    doNotShowAgain: () => void;
}

export default function AddToOtherBrowser(props: Props) {
    const { closePrompt, doNotShowAgain } = props;
    const searchUrl = `https://www.google.com/search?q=add+to+home+screen+for+common-mobile-browsers`;

    return (
        <Alert show={true} className="mx-2 py-2" variant="info">
            <Alert.Heading
                style={{
                    fontSize: "1.1rem",
                    fontWeight: "bold",
                    marginBottom: "0.25rem",
                }}
            >
                Add SNIP to your Home Screen
            </Alert.Heading>
            <div>
                For the best experience, we recommend installing SNIP to your
                home screen! This enables enhanced features and functionality
                for mobile users.
            </div>
            <div className="d-flex align-items-center justify-content-center flex-column  border border-1 rounded-3 p-2 gap-2 my-2">
                <div className="d-flex gap-1 text-center flex-column">
                    <div>
                        Unfortunately, we were unable to determine which browser
                        you are using. Please search for how to install a web
                        app for your browser.
                    </div>
                    <Link
                        className="text-blue-300"
                        href={searchUrl}
                        target="_blank"
                    >
                        Try This Search
                    </Link>
                </div>
            </div>
            <div className="d-flex justify-content-between">
                <Button
                    className="p-1 d-flex align-items-center gap-1"
                    onClick={doNotShowAgain}
                    variant="outline-secondary"
                >
                    Don&apos;t show again
                </Button>
                <Button
                    className="p-1 d-flex align-items-center gap-1"
                    onClick={closePrompt}
                    variant="outline-dark"
                >
                    Close
                </Button>
            </div>
        </Alert>
    );
}
